//=========================================================
//
// ImageFont (daclare)
//
//=========================================================

#ifndef _IMAGE_FONT_
#define _IMAGE_FONT_

#include <map>
#include <vector>
#include <string>

#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>

using namespace std;

	namespace GUI_SFML {

	class ImageFont {

	public:

		ImageFont( string fileName );
		~ImageFont();


		void Draw(sf::RenderWindow &window, string str);

		void SetPosition( sf::Vector2f pos );

	private:

		sf::Image           _imageFont;
		sf::Texture         _texture;
		sf::Sprite          _sprite;
		map<char, sf::IntRect> _charList;

		sf::Vector2f _position;


		//=========================================================
		// 文字列 → sf::Color
		//=========================================================
		static sf::Color String_to_sfColor(string str, string splitter = ",");


	};
}
#endif
