//=========================================================
//
// エフェクトリスト
//
//=========================================================

#ifndef _EFFECT_LIST_
#define _EFFECT_LIST_

#include "IEffect.h"

#include <map>

using namespace std;

class EffectList : public IEffect {

public:

	EffectList ( map< unsigned int, IEffect*> effectList );
	~EffectList();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

private:

	bool _isEnd;
	unsigned int _frameCount;
	map< unsigned int, IEffect*> _effectList;

};
#endif

