//=========================================================
//
// スクリプトから制御するボタン
//
//=========================================================

#include "ScriptButton.h"

//=========================================================
// セーブデータを作成
//=========================================================
ScriptButton::SaveData ScriptButton::GetSaveData () {

	ScriptButton::SaveData result;

	result.position    = _position;
	result.label       = _label;
	result.size        = _size;
	result.fontSize    = _fontSize;
	result.isVisible   = _isVisible;
	result.jumpToLabel = _jumpToLabel;
	result.name        = _name;

	return result;
}

//=========================================================
// セーブデータから再現
//=========================================================
ScriptButton* ScriptButton::Load ( SaveData &saveData ) {

	/*
		static な Factory です。
	*/

	ScriptButton *result = new ScriptButton ( saveData.label, saveData.size, saveData.fontSize );

	result->SetPosition    ( saveData.position    );
	result->SetVisible     ( saveData.isVisible   );
	result->SetJumpToLabel ( saveData.jumpToLabel );

	return result;
}
