//=========================================================
//
// Gme_Utils (declare)
//
//=========================================================


#ifndef _GAME_UTILS_
#define _GAME_UTILS_

#include <map>
#include <vector>
#include <string>
#include <set>

//#include <SFML/Window.hpp>
//#include <SFML/Graphics.hpp>

#include "../AI/Move.h"
#include "../Utils/NotXML.h"

using namespace std;

class Game_Utils {

public:

	//=========================================================
	// タグからMove構造体に変換
	//=========================================================
	static AI_Modules::Move Move_From_Tag ( const NotXML::Tag &moveTag );

	//=========================================================
	// 文字列を方向に変換
	//=========================================================
	static int Direction_From_String ( string &direction );

	//=========================================================
	// 数値を方向文字列に変換
	//=========================================================
	static string Direction_From_int ( int direction );

	//=========================================================
	// ぶつける移動のとき、ぶつける相手の駒の位置を取得
	//=========================================================
	static pair<int, int> GetCollidedPiecePosition ( const AI_Modules::Move &move );

};
#endif
