//=========================================================
//
// 気力ゲージ
//
//=========================================================

#ifndef _PSYCHO_GAGE_
#define _PSYCHO_GAGE_

#include <SFML/Graphics.hpp>

class PsychoGage {

public:

	PsychoGage();
	~PsychoGage();

	void Update ( sf::RenderWindow &window );
	void Draw ( sf::RenderWindow &window );

	void ClearValue() {_currentValue = 0;}
	int GetValue() {return _currentValue;}

	void SetMin_CurrentValue() { _minValue = _currentValue; }
	void SetMin_Clear       () { _minValue = 0; }

	int GetValueAsEffectLevel();

	void SetPosition ( sf::Vector2f pos ) { _position = pos; }

	void Press() { _isPressButton = true; }

private:

	int _currentValue;
	int _maxValue;
	int _minValue;

	bool _isPressButton;

	sf::RectangleShape _rect_Frame;
	sf::RectangleShape _rect_Gage;
	sf::RectangleShape _rect_Base;

	sf::Color _gageColor_level0;
	sf::Color _gageColor_level1;
	sf::Color _gageColor_level2;
	sf::Color _gageColor_level3;
	sf::Color _gageColor_level3_blink;

	bool _blink;

	sf::Vector2f _position;

};
#endif





