//=========================================================
//
// 簡易サウンドプレイヤー
//
//=========================================================

#ifndef _SOUND_PLAYER_
#define _SOUND_PLAYER_

#include <map>
#include <vector>
#include <string>

#include <SFML/Audio.hpp>

using namespace std;

namespace GUI_SFML {

	class SoundPlayer {

	public:

		static void Play( string file );
		static void Release();
		
		static void  SetVolume( float value );
		static float GetVolume();

	private:
		
		static map<string, sf::SoundBuffer> _soundBufferList;
		static vector<sf::Sound*>            _soundChannelList;
		
		static float _volume;
	};

};

#endif
