//=========================================================
//
// スクリプト実行用シーン（実装）
//
//=========================================================

#include "SceneScript.h"
#include "ScriptEngine.h"

//int SceneScript::BACK_TO_TITLE = 0;

//=========================================================
// コンストラクタ
//=========================================================
SceneScript::SceneScript() {

	_scriptEngine = new ScriptEngine();
	_scriptEngine->Init( "script" );
}
//=========================================================
// デストラクタ
//=========================================================
SceneScript::~SceneScript() {

	delete _scriptEngine;

}
//=========================================================
// 初期設定
//=========================================================
void SceneScript::Init() {


}
//=========================================================
// 更新
//=========================================================
int  SceneScript::Update(sf::RenderWindow &window) {

	int result = SCENE::UPDATE_RESULT::UPDATE_RESULT_NONE;
	
	// 旧・タイトルに戻る機能
	/*
	if ( SceneScript::BACK_TO_TITLE == 3 ) {

		delete _scriptEngine;
		_scriptEngine = new ScriptEngine();
		_scriptEngine->Init( "script" );
		
		SceneScript::BACK_TO_TITLE = 0;
	}
	*/
	
	
	_scriptEngine->Update ( window );
	

	if (_scriptEngine->IsAllProcessEnd()) {
		result = SCENE::UPDATE_RESULT::UPDATE_RESULT_END_APPLICATION;
	}

	return result;
}
//=========================================================
// 描画するかどうか
//=========================================================
bool SceneScript::IsRendered() {
	
	return _scriptEngine->IsRendered();
}

//=========================================================
// 描画
//=========================================================
void SceneScript::Draw(sf::RenderWindow &window) {

	_scriptEngine->Draw ( window );

}
//=========================================================
// シーン開始
//=========================================================
void SceneScript::Ready(sf::RenderWindow &window) {


}
//=========================================================
// シーン終了
//=========================================================
void SceneScript::Clear(sf::RenderWindow &window) {


}
