//=========================================================
//
// Animationを表示するだけのエフェクト
//
//=========================================================

#ifndef _EFFECT_ANIMATION_
#define _EFFECT_ANIMATION_

#include <IEffect.h>

#include "../GUI_SFML/Animation.h"

class Effect_Animation : public IEffect {

public:

	Effect_Animation ( GUI_SFML::Animation *animation );
	~Effect_Animation ();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

private:

	bool _isEnd;

	GUI_SFML::Animation *_animation;

	int _frameCount;

};
#endif

