//=========================================================
//
// カットインエフェクト実験
//
//=========================================================

#include "IEffect.h"

#include <./SFML/Graphics.hpp>

#include "../GUI_SFML/Animation.h"

#include <string>

using namespace std;

class Effect_CuiInTest001 : public IEffect {

public:

	Effect_CuiInTest001();
	~Effect_CuiInTest001();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

private:

	struct ImageSet {

		sf::Image   image;
		sf::Texture texture;
		sf::Sprite  sprite;

		ImageSet () {
		}
		ImageSet( string file ) {
			image.loadFromFile(file);
			texture.loadFromImage(image);
			sprite.setTexture(texture);
		}

		void ToCenter() {
			sprite.setOrigin ( image.getSize().x / 2, image.getSize().y / 2 );
		}

	};

	bool _isEnd;

	GUI_SFML::Animation *_animationBack;


	int _frameCount;

	ImageSet _character;
	sf::Vector2f _characterPos;

	int _charcter_FromX;
	int _charcter_ToX;

	sf::Image   _image_Back;
	sf::Texture _texture_Back;
	sf::Sprite  _sprite_Back;
	sf::IntRect _rect_Back;

};

