//=========================================================
//
// エフェクト。カーテン開く
// つまり試合前後のあれ
//
//=========================================================

#include "Effect_CurtainOpen.h"
#include "Define.h"

//=========================================================
// コンストラクタ
//=========================================================
Effect_CurtainOpen002::Effect_CurtainOpen002() {

	_isEnd = false;

	// カーテンの色。真っ黒になったときが、閉まったとき
	_currentColor = sf::Color ( 0,0,0,255 );

	// カーテンとしての実体。徐々に色を濃くする
	_screenShape  = sf::RectangleShape ( sf::Vector2f ( APPLICATION::WINDOW_SIZE::WIDTH, APPLICATION::WINDOW_SIZE::HEIGHT ) );
	
	_screenShape.setOutlineThickness(0);
	_screenShape.setFillColor ( _currentColor );
	_screenShape.setPosition ( sf::Vector2f(0.0f, 0.0f) );
	
	
	_frameCount = 10;


}

//=========================================================
// デストラクタ
//=========================================================
Effect_CurtainOpen002::~Effect_CurtainOpen002() {


}

//=========================================================
// 更新
//=========================================================
bool Effect_CurtainOpen002::Update(sf::RenderWindow &window) {

	if ( _frameCount > 0 ) {
		
		--_frameCount;

	} else {

		_isEnd = true;
	}

	return _isEnd;
}

//=========================================================
// 描画
//=========================================================
void Effect_CurtainOpen002::Draw(sf::RenderWindow &window) {

	window.draw ( _screenShape );
}





