//=========================================================
//
// Effect to Transite Scene (declare)
//
//=========================================================

#ifndef _EFFECT_SCENE_TRANSITION_
#define _EFFECT_SCENE_TRANSITION_

#include "IEffect.h"

class DelegateBase;

class Effect_SceneTransition : public IEffect {

public:

	Effect_SceneTransition( DelegateBase *event_Transition, string nextSceneName );
	~Effect_SceneTransition();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

private:

	sf::RectangleShape _shape;

	bool _isDarker;

	DelegateBase *_event_Transition;
	string _nextSceneName;
};

#endif



